2019-03-22 07:08 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002149NetSurfLayoutpublic2015-03-10 11:11
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0002149: Pages rendered blank outside initial visible area
DescriptionOnly the topmost screenful of pages in fanfiction.net seems to render - the remainder is grey background, often cut off partway through a line of text. Resizing the window downwards will reveal more of the content, but scrolling it doesn't.
Steps To ReproduceOpen a Netsurf window to less than the full height of the screen. Visit a fanfiction.net page with a work area greater than the visible area, scroll downwards.
Additional InformationAlso occurs at meetup.com (on any meetup group page - the homepage is fine)
Seems to be layout related, as a "redraw" of the window with the missing area still does not show the content.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1967
URL of problem pagehttps://www.fanfiction.net/s/4502735/1/The-Madness-of-Maximilien-Robespierre
Attached Files

-Relationships
has duplicate 0002147closedChris Young Meetup doesn't display beyond the first screen 
+Relationships

-Notes
Chris Young

~0000390

Chris Young (developer)

Just confirmed this is doing the same thing on the Amiga frontend (and I assume - but haven't checked - GTK), as per the linked duplicate. Closing the one I logged as this one has screenshots showing the problem. An alternative problem website is in 2147.

Michael Drake

~0000413

Michael Drake (administrator)

Added test page.

Its an interaction between the height and overflow properties on the root element. I suspect we should be ignoring overflow on the root element.
Michael Drake

~0000414

Michael Drake (administrator)

Will be fixed in next CI build.

Currently the CI for RISC OS is blocked for a different reason.
Vincent Sanders

~0000716

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-13 03:27 Harriet Bazley New Issue
2014-06-13 03:27 Harriet Bazley File Added: screen2.jpg
2014-06-13 03:28 Harriet Bazley File Added: screen.jpg
2014-06-13 09:57 Vincent Sanders Status new => acknowledged
2014-06-14 19:44 Chris Young Relationship added has duplicate 0002147
2014-06-21 23:09 Chris Young Note Added: 0000390
2014-06-21 23:09 Chris Young Assigned To => Michael Drake
2014-06-21 23:09 Chris Young Status acknowledged => confirmed
2014-06-21 23:09 Chris Young Category RISC OS-specific => General
2014-06-21 23:14 Chris Young Category General => Layout
2014-06-21 23:14 Chris Young Additional Information Updated View Revisions
2014-07-18 11:27 Michael Drake File Added: test.html
2014-07-18 11:29 Michael Drake Note Added: 0000413
2014-07-18 19:18 Michael Drake Note Added: 0000414
2014-07-18 19:18 Michael Drake Status confirmed => resolved
2014-07-18 19:18 Michael Drake Resolution open => fixed
2014-07-18 19:18 Michael Drake Fixed in Version => 3.2
2014-07-18 19:18 Michael Drake Target Version => 3.2
2014-07-18 19:18 Michael Drake Additional Information Updated View Revisions
2015-03-10 11:11 Vincent Sanders Note Added: 0000716
2015-03-10 11:11 Vincent Sanders Status resolved => closed
+Issue History